Package be.cin.io.unsealed.medicaladvisoragreement.consult.v1

# Class Response

java.lang.Object
be.cin.io.unsealed.medicaladvisoragreement.consult.v1.Response

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:28+02:00", comments="JAXB RI v4.0.5") public class Response extends Object implements Serializable

Java class for ResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TimestampReply" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <element name="KmehrResponse" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Response()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getKmehrResponse()`
  Gets the value of the kmehrResponse property.
  `byte[]`
  `getTimestampReply()`
  Gets the value of the timestampReply property.
  `void`
  `setKmehrResponse(byte[] value)`
  Sets the value of the kmehrResponse property.
  `void`
  `setTimestampReply(byte[] value)`
  Sets the value of the timestampReply property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Response

    public Response()

- ## Method Details

  - ### getTimestampReply

    public byte[] getTimestampReply()
    Gets the value of the timestampReply property.
    Returns:
      possible object is byte[]

  - ### setTimestampReply

    public void setTimestampReply(byte[] value)
    Sets the value of the timestampReply property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getKmehrResponse

    public byte[] getKmehrResponse()
    Gets the value of the kmehrResponse property.
    Returns:
      possible object is byte[]

  - ### setKmehrResponse

    public void setKmehrResponse(byte[] value)
    Sets the value of the kmehrResponse property.
    Parameters:
      `value` - allowed object is byte[]